org.apache.cassandra.db.view

## Class ViewBuilder

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.db.view.ViewBuilder

    public class ViewBuilder
    extends CompactionInfo.Holder

### Constructor Summary

Constructors
Constructor and Description
`ViewBuilder(ColumnFamilyStore baseCfs, View view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompactionInfo` `getCompactionInfo()`
`void` `run()`
`void` `stop()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

`isStopRequested`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewBuilder

    public ViewBuilder(ColumnFamilyStore baseCfs,
                       View view)

### Method Detail

#### run

    public void run()

#### getCompactionInfo

    public CompactionInfo getCompactionInfo()

Specified by:
  `getCompactionInfo` in class `CompactionInfo.Holder`

#### stop

    public void stop()

Overrides:
  `stop` in class `CompactionInfo.Holder`